# cwd [![NPM version](https://badge.fury.io/js/cwd.svg)](http://badge.fury.io/js/cwd)  [![Build Status](https://travis-ci.org/jonschlinkert/cwd.svg)](https://travis-ci.org/jonschlinkert/cwd) 

> Node.js util for easily getting the current working directory of a project based on package.json or the given path.

## Install with [npm](npmjs.org)

```bash
npm i cwd --save
```

## Usage

```js
var cwd = require('cwd');
cwd();
cwd('one/two.js');
cwd('one', 'two.js');
cwd(['one', 'two.js']);
```

## Contributing
Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/cwd/issues)

## Running tests
Install dev dependencies.

```bash
npm i -d && npm test
```

## Other projects
* [is-absolute](https://github.com/jonschlinkert/is-absolute): Return true if a file path is absolute.
* [is-relative](https://github.com/jonschlinkert/is-relative): Returns `true` if the path appears to be relative.
* [export-files](https://github.com/jonschlinkert/export-files): node.js utility for exporting a directory of files as modules.
* [normalize-path](https://github.com/jonschlinkert/normalize-path): Normalize file path slashes to be unix-like forward slashes. Also condenses repeat slashes to a single slash and removes and trailing slashes.
* [relative](https://github.com/jonschlinkert/relative): Get the relative filepath from path A to path B. Calculates from file-to-directory, file-to-file, directory-to-file, and directory-to-directory.

## Author

**Jon Schlinkert**
 
+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert) 

## License
Copyright (c) 2015 Jon Schlinkert  
Released under the MIT license

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on March 16, 2015._

[look-up]: https://github.com/jonschlinkert/lookup
<!-- deps: mocha should normalize-path -->